Gecode::Float::FloatDelta Class Reference

Float delta information for advisors. More...

`#include <var-imp.hpp>`

## Public Member Functions

| FloatDelta (void)
| Create float delta as providing no information.
| FloatDelta (FloatNum min, FloatNum max)
| Create float delta with min and max.

## Detailed Description

Float delta information for advisors.

Definition at line 48 of file var-imp.hpp.

## Constructor & Destructor Documentation

## FloatDelta() [1/2]

Gecode::Float::FloatDelta::FloatDelta | ( | void |  | ) |

inline

Create float delta as providing no information.

Definition at line 44 of file delta.hpp.

## FloatDelta() [2/2]

Gecode::Float::FloatDelta::FloatDelta | ( | FloatNum | min,
|  | FloatNum | max )

inline

Create float delta with min and max.

Definition at line 47 of file delta.hpp.

The documentation for this class was generated from the following files:

- gecode/float/var-imp.hpp
- gecode/float/var-imp/delta.hpp